ru.bitel.bgbilling.modules.bvcom.server.bean

## Class BVComTransactionManager

- java.lang.Object
- - ru.bitel.bgbilling.modules.bvcom.server.bean.BVComTransactionManager

-     public class BVComTransactionManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BVComTransactionManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTransaction(BVComTransaction transaction)` Добавление новой транзакции в БД
    `java.util.List<BVComTransaction>` | `getReturnMoneyTransactionList()` ПОлучение списка транзакций, ожидающих возврата
    `BVComTransaction` | `getTransactionById(int transactionId)` Получение единственной транзакции по ее коду
    `java.util.List<BVComTransaction>` | `getTransactionList(java.lang.String contractTitle, int cid, int status, java.util.Date dateFrom, java.util.Date dateTo, java.lang.String groups)` Универсальный фильтр транзакций
    `void` | `updateTransaction(BVComTransaction transaction)` Обновление уже существующей транзакции

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BVComTransactionManager

          public BVComTransactionManager(java.sql.Connection con,
                                         int mid)

  - ### Method Detail

    - #### getTransactionById

          public BVComTransaction getTransactionById(int transactionId)
                                              throws ru.bitel.bgbilling.common.BGException

      Получение единственной транзакции по ее коду
      Parameters:
        `transactionId` - код транзакции
      Returns:
        транзакция
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTransactionList

          public java.util.List<BVComTransaction> getTransactionList(java.lang.String contractTitle,
                                                                     int cid,
                                                                     int status,
                                                                     java.util.Date dateFrom,
                                                                     java.util.Date dateTo,
                                                                     java.lang.String groups)
                                                              throws ru.bitel.bgbilling.common.BGException

      Универсальный фильтр транзакций
      Parameters:
        `contractTitle` - название договора
        `cid` - код договора
        `status` - статус
        `dateFrom` - дата, С КОТОРОЙ производить поиск
        `dateTo` - дата, ПО КОТОРУЮ производить поиск
        `groups` - группы договоров
      Returns:
        список транзакций
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getReturnMoneyTransactionList

          public java.util.List<BVComTransaction> getReturnMoneyTransactionList()
                                                                         throws ru.bitel.bgbilling.common.BGException

      ПОлучение списка транзакций, ожидающих возврата
      Returns:
        список транзакций
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### addTransaction

          public void addTransaction(BVComTransaction transaction)
                              throws ru.bitel.bgbilling.common.BGException

      Добавление новой транзакции в БД
      Parameters:
        `transaction` - транзакция
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateTransaction

          public void updateTransaction(BVComTransaction transaction)
                                 throws ru.bitel.bgbilling.common.BGException

      Обновление уже существующей транзакции
      Parameters:
        `transaction` - транзакция
      Throws:
        `ru.bitel.bgbilling.common.BGException`